#### Linux From Scratch - Version 7.9

### Chapter 6. Installing Basic System Software

- Prev

  Libcap-2.25

- Next

  Shadow-4.2.1

- Up
- Home

# 6.24. Sed-4.2.2

The Sed package contains a stream editor.

Approximate build time: 0.2 SBU
Required disk space: 10.9 MB

## 6.24.1. Installation of Sed

Prepare Sed for compilation:

    ./configure --prefix=/usr --bindir=/bin --htmldir=/usr/share/doc/sed-4.2.2

The meaning of the new configure option:

`--htmldir`

  This sets the installation directory for the HTML documentation.

Compile the package and generate the HTML documentation:

    make
    make html

To test the results, issue:

    make check

Install the package and its documentation:

    make install
    make -C doc install-html

## 6.24.2. Contents of Sed

Installed program: sed
Installed directory: /usr/share/doc/sed-4.2.2

### Short Descriptions

sed | Filters and transforms text files in a single pass

- Prev

  Libcap-2.25

- Next

  Shadow-4.2.1

- Up
- Home